#ifndef BACKGROUNDPDF_HPP
#define BACKGROUNDPDF_HPP

#include "../GlobalFunctions.hh"
#include "ParamValues.hpp"

class BackgroundPdf: public ParamValues{
public:
    BackgroundPdf(){}; //default constructor
    //Constrain PDFs
    RooArgSet * ConsParameter = new RooArgSet();
    RooArgList * ConsPDF = new RooArgList();
    bool AtLeastOneConstrainFound = false;

    //pdfs
    RooExponential * bkg_exp1(RooRealVar *B_plus_M);
    RooExponential * bkg_exp2(RooRealVar *B_plus_M);
    RooExpAndGauss * ExpG(RooRealVar *B_plus_M);
    RooDoubleCB    * bkg_CB(RooRealVar *B_plus_M);
    RooAddPdf* getBplusBkgModel(RooRealVar *B_plus_M);

    void setAllRooVarsConstant();
    ~BackgroundPdf(){}; //default destructor
};



#endif // BACKGROUNDPDF_HPP
